Create Lease: Rentvine

Create Lease: Rentvine | Interface | Method | |---|---| | Leases | POST /api/manager/leases |

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
unit_idstringRequired
The Propexo unique identifier for the unit
scheduled_move_in_datestringRequired

The move-in date associated with the lease

start_datestringRequired
The start date associated with the lease
rent_amount_in_centsintegerRequired
The rent amount in cents for the lease
nsf_fee_amount_in_centsintegerRequired
The NSF fee amount in cents for the lease
statusenumRequired
The status associated with the lease
Allowed values:
associated_resident_idslist of stringsRequired
A list of Propexo Resident IDs associated with the lease. The resident must be a primary.
employee_idstringOptional
The Propexo unique identifier for the employee
end_datestringOptional
The end date associated with the lease
resident_chargeslist of objectsOptional
A list of move in charges for the lease
recurring_resident_chargeslist of objectsOptional
A list of recurring charges for the lease
other_occupantslist of objectsOptional
A list of other occupants for the lease

Response

Successful response
metaobject
resultobject

Errors